#ifndef _EYDRLE2_HH
#define _EYDRLE2_HH

#include <stdio.h>
#include <stdlib.h>
#include <eyd.hh>
#include <exception>
#include <vector>

namespace EydTools {
	typedef enum { EYDRLE2_MODE_COMPRESS, EYDRLE2_MODE_UNCOMPRESS, EYDRLE2_MODE_UNDEF } eydrle2_mode_t;

	class EydRle2 {
		private:
			// la config
			eydrle2_mode_t _mode_compress;
			std::string _input_file;
			std::string _output_file;
			int _cellsize;
			EydLib::BitGroup _rle;
			
		public:
			EydRle2();
			bool init(int argc, char **argv);
			void run();
			void compress();
			void uncompress();
	};
}

#endif
